WP Mermaid

描述

Generation of diagrams and flowcharts from text in a similar manner as markdown by using mermaid.js

WP Mermaid is smart enough that loads mermaid.js only when your posts contain Mermaid syntax, by detecting the use of shortcode and block. So it will not be loaded on your website everywhere.

= See also

If you are looking for a Markdown editor supporting Mermaid, you can also check out Terry Lin‘s WordPress plugin called the WP Githuber MD, which provides a variety of features not just Mermaid, it is worth to try.

Copyright

WP Mermaid, Copyright 2020 TerryL.in
WP Mermaid is distributed under the terms of the GNU GPL

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

屏幕截图

  • Choose a Mermaid syntax block.
  • Fill in your Mermaid syntax in the editor.

区块

该插件提供了2个区块.

  • WP Mermaid
  • WP Mermaid

安装

  1. Upload the plugin files to the /wp-content/plugins/wp-mermaid directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the ‘Plugins’ screen in WordPress.
  3. Go to the WP Mermaid menu in Settings and set your options.

Shortcode

In classic editor, you can use shortcode to render your Mermaid syntax. If you are using WordPress version below 5.0, this is the only way you can use.

Gutenberg Block

  1. Choose a Mermaid syntax block.
  2. Fill in your Mermaid syntax in the editor.

常见问题

None.

评价

此插件暂无评价。

贡献者及开发者

“WP Mermaid” 是开源软件。 以下人员对此插件做出了贡献。

贡献者

“WP Mermaid”插件已被翻译至3种本地话语言。 感谢所有译者为本插件所做的贡献。

将“WP Mermaid”翻译成您的语言。

对开发感兴趣吗?

您可以浏览代码,查看SVN仓库,或通过RSS订阅开发日志

更新日志

1.0.0

  • First release.

= 1.0.1

  • Upgrade Mermaid JavaScript library from 8.5.0 to 8.9.0